use std::net::Ipv6Addr;

pub const SNAKEOIL_KEY: &str = "I3QleS8dm9cWUdzOL5m--C3qRNn-a2rh8h9zzcAy9q5o4dWF";
pub const SNAKEOIL_HASH: &str = "bbdd8c34a583554b4a20f7b0d92f1c3f5affdfbdd768b63c2945a63195c24a";

pub const LLV6_IP: Ipv6Addr = Ipv6Addr::new(0xfe80, 0, 0, 0, 0x0042, 0xafff, 0xfe32, 0xa0fe);
pub const LLV6_MAC: [u8; 6] = [0x02, 0x42, 0xaf, 0x32, 0xa0, 0xfe];
pub const LLV6_MACSTR: &str = "02:42:af:32:a0:fe";

pub const LLV6_IP2: Ipv6Addr = Ipv6Addr::new(0xfe80, 0, 0, 0, 0x0842, 0xafff, 0xfe64, 0x69ba);
pub const LLV6_MAC2: [u8; 6] = [0x0a, 0x42, 0xaf, 0x64, 0x69, 0xba];
pub const LLV6_MACSTR2: &str = "0a:42:af:64:69:ba";

pub const SPEEX: &str = "This is not an example of Speex, an audio compression codec specifically tuned for the reproduction of human speech.";

macro_rules! saddr6 {
    (localhost) => {
        SocketAddr::V6(SocketAddrV6::new(Ipv6Addr::LOCALHOST, 8080, 0, 0))
    };
    ($addr:expr) => {
        SocketAddr::V6(SocketAddrV6::new($addr, 8080, 0, 0))
    };
}

pub(crate) use saddr6;
